# {{ ansible_managed }}
[Interface]
Address = {{ peer.address }}
PrivateKey = {{ wg_client_privatekey.content | b64decode | trim }}
{% if peer.dns is defined %}
DNS = {{ peer.dns }}
{% endif %}

[Peer]
PublicKey = {{ wg_server_publickey.content | b64decode | trim }}
AllowedIPs =  {{ peer.allowed_ips }}
Endpoint = {{ wireguard_ext_ipv4 }}:{{ wireguard_port }}
{% if peer.keep_alive is defined %}
PersistentKeepalive = {{ peer.keep_alive }}
{% endif %}
